Bug 812543 - [abrt] emesene-2.11.11-1.fc15: async.py:40:run:TypeError: __common_errback() takes at least 3 arguments (2 given)
[abrt] emesene-2.11.11-1.fc15: async.py:40:run:TypeError: __common_errback() ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emesene (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:3e945a39bfb44a801c38c714fda...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 12:45 EDT by shakka.by
Modified: 2012-08-07 12:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shakka.by 2012-04-14 12:45:48 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        python /usr/lib/python2.7/site-packages/emesene/emesene
comment:        I was afk
component:      emesene
executable:     /usr/lib/python2.7/site-packages/emesene/emesene
kernel:         2.6.42.12-1.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        emesene-2.11.11-1.fc15
reason:         async.py:40:run:TypeError: __common_errback() takes at least 3 arguments (2 given)
time:           Sat Apr 14 14:24:59 2012
uid:            500
username:       shakka

backtrace:
:async.py:40:run:TypeError: __common_errback() takes at least 3 arguments (2 given)
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/emesene/e3/papylib/papyon/papyon/service/SOAPService.py", line 259, in _error_handler
:    run(errback, error)
:  File "/usr/lib/python2.7/site-packages/emesene/e3/papylib/papyon/papyon/util/async.py", line 40, in run
:    callback[0](*args)
:TypeError: __common_errback() takes at least 3 arguments (2 given)
:
:Local variables in innermost frame:
:callback: (<bound method ContentRoaming.__common_errback of <ContentRoaming object at 0x36e6b90 (papyon+service+ContentRoaming+content_roaming+ContentRoaming at 0x3b0c6a0)>>,)
:args: (IoConnectionFailed(),)
Comment 1 apal.marlak 2012-07-03 05:59:55 EDT
I launched the software from Gnome Shell's dock.
This error appear on each start since I installed it on my newly installed Fedora 17.


Package: emesene-2.11.11-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Fedora End Of Life 2012-08-07 12:24:27 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.